#!/bin/bash

#-------------------------------------------------

echo
echo "1. All variables are global by default"

myFunc1 () {
    var="Bob"
}

var="Alice"
myFunc1
echo '$var is now '$var

#-------------------------------------------------

echo
echo "2. Local variables must be explicitly declared"

myFunc2 () {
    local var="Bob"
}

var="Alice"
myFunc2
echo '$var is now '$var

#-------------------------------------------------

echo
echo "3. Does not support return"

myAdd () {
    result=$(($1+$2))
}

a=10
b=20
myAdd $a $b
echo "Result of $a + $b is $result"
echo

